Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 707592 - sys-libs/libnih-1.0.3-r3 : fails to build with -fno-common or gcc-10
Summary: sys-libs/libnih-1.0.3-r3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-31 17:32 UTC by Toralf Förster
Modified: 2020-04-19 16:19 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.61 KB, text/plain)
2020-01-31 17:32 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,230.06 KB, text/plain)
2020-01-31 17:33 UTC, Toralf Förster
Details
environment (environment,108.68 KB, text/plain)
2020-01-31 17:33 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,21.27 KB, application/x-bzip)
2020-01-31 17:33 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,12.79 KB, application/x-bzip)
2020-01-31 17:33 UTC, Toralf Förster
Details
sys-libs:libnih-1.0.3-r3:20200130-230026.log (sys-libs:libnih-1.0.3-r3:20200130-230026.log,16.05 KB, text/plain)
2020-01-31 17:33 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,31.67 KB, application/x-bzip)
2020-01-31 17:33 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-31 17:32:56 UTC
  CC       annotation.o
  CC       parse.o
  CC       output.o
  CCLD     nih-dbus-tool
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: output.o:(.bss+0x0): multiple definition of `output_package'; main.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-libressl-20200125-183534

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 30 Jan 2020 21:13:03 +0000

emerge -qpvO sys-libs/libnih
[ebuild  N    ] sys-libs/libnih-1.0.3-r3  USE="dbus nls (split-usr) threads -static-libs"
Comment 1 Toralf Förster gentoo-dev 2020-01-31 17:32:59 UTC
Created attachment 609530 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-31 17:33:02 UTC
Created attachment 609532 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-31 17:33:05 UTC
Created attachment 609534 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-31 17:33:08 UTC
Created attachment 609536 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-31 17:33:10 UTC
Created attachment 609538 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-31 17:33:13 UTC
Created attachment 609540 [details]
sys-libs:libnih-1.0.3-r3:20200130-230026.log
Comment 7 Toralf Förster gentoo-dev 2020-01-31 17:33:16 UTC
Created attachment 609542 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-04-19 16:19:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98b0b5f0acd550393b896406c3019af411d58a34

commit 98b0b5f0acd550393b896406c3019af411d58a34
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-04-19 16:18:35 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-04-19 16:19:01 +0000

    sys-libs/libnih: Fix building with CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Closes: https://bugs.gentoo.org/707592
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../libnih/files/libnih-1.0.3-fno-common.patch     | 11 +++++
 .../libnih/files/libnih-1.0.3-optional-dbus.patch  |  8 ++--
 .../libnih/files/libnih-1.0.3-pkg-config.patch     | 40 ++--------------
 .../libnih/files/libnih-1.0.3-signal-race.patch    | 20 +-------
 sys-libs/libnih/libnih-1.0.3-r4.ebuild             | 53 ++++++++++++++++++++++
 5 files changed, 74 insertions(+), 58 deletions(-)